by eggsurplus

Control what your users can access and save time, money, and frustrations. Lock down sensitive data in SugarCRM or SuiteCRM to specific groups or teams. Supports unlimited assigned users, unlimited group assignments to records, custom layouts for each group, login/sudo capabilities and much more.

Cancel at any time!
Free Trial

#280 - 6516 Basic SecuritySuite 268.zip fails install at 100% (i think ...)

Closed Bug? created by flinx 5 years ago

I am attempting to install 6516 Basic SecuritySuite 268.zip to a stock install of SugarCRM Community Edition Version 6.5.16
I upload successfully and click the Install button and then accept the license. The next screen shows the progress at 100% but goes no further. Opening the "Display Log" link, I see this:

======BEGIN HERE=====
Including: cache/upgrades/temp/Yoxkmv/scripts/pre_install.php
(progress bar)100%
Display Log
Installazione estensione
Installazione Pacchetto Lingua
Ricostruzione Language...en_us
Ricostruzione Language...es_es
Ricostruzione Language...it_it
Ricostruzione Language...fr_FR
Ricostruzione Language...pt_br
Ricostruzione Language...de_de
Ricostruzione Language...ru_ru
Ricostruzione Language...ua_ua
Ricostruzione Language...nl_NL
Ricostruzione Language...hu_hu
Installazione estensione
Installazione estensione
Installazione estensione
Ricostruzione ActionViewMap...
Ricostruzione ActionFileMap...
Ricostruzione ActionReMap...
Ricostruzione Administration...
Ricostruzione EntryPointRegistry...
Ricostruzione Extensions...
Ricostruzione FileAccessControlMap...
Ricostruzione Layoutdefs...
Ricostruzione GlobalLinks...
Ricostruzione LogicHooks...
Ricostruzione Menus...
Ricostruzione Include...
Ricostruzione ScheduledTasks...
Ricostruzione UserPage...
Ricostruzione Utils...
Ricostruzione Vardefs...
Ricostruzione JSGroupings...
Installazione Immagini
Installazione Relazione
Ricostruzione Vardefs...
Ricostruzione Layoutdefs...
Ricostruzione TableDictionary...
Installazione Bean : SecurityGroups
Table already exists : securitygroups

but there is always this error message
Warning! SecuritySuite no longer matches the version of Sugar that you are running. SecuritySuite will not work correctly until updated to 6.5.16. Upgrade now to SecuritySuite for 6.5.16
how can I be sure it is installed correctly securitygroups considered that the package has not been moved between the modules installed?

  1. flinx member avatar

    flinx

    5 years ago

    I have the impression that it is not completed the post-installation phase, as I solve the problem?

    • eggsurplus member avatar

      eggsurplus Provider Affiliate

      5 years ago

      That is very odd. It likely ran into an issue writing to the config file during install. You can manually fix this issue by opening config.php and setting securitysuite_version = '6.5.16'.

      For anyone else reading this who runs into that error. SecuritySuite requires the same version as the version of SugarCRM that you have. So when you upgrade SugarCRM this error message will let you know that SecuritySuite will also need to be upgraded.

      In this case, the installer most likely failed to write to the file that tracks the version of SecuritySuite installed so it thinks that there is a mismatch install.

      Hope that helps!
      -Jason

  2. flinx member avatar

    flinx

    5 years ago

    ok but I'm confident that the update was done correctly and that the fact that the module has not been moved between the modules installed does not create instability and the crm module? thanks for the quick response

    • eggsurplus member avatar

      eggsurplus Provider Affiliate

      5 years ago

      I'm confident that you are fine. It completed 100% which means all files moved over. It is the post_install.php script that run into issues which writes to config.php. So manually setting that value will make that non-critical issue go away. For safe measure, you can also run a Quick Repair & Rebuild and execute any SQL that gets generated.

  3. eggsurplus member avatar

    eggsurplus Provider Affiliate

    5 years ago

    Were you able to get past the install?

    • flinx member avatar

      flinx

      5 years ago

      seems to work but I have changed the config.php manually, the question is always whether in post-installation must complete some steps that did not complete ....

    • eggsurplus member avatar

      eggsurplus Provider Affiliate

      5 years ago

      Only if you have the config.php file locked down to prevent writing to it. This is the last step in the install process so everything else will have installed correctly.

This case is public. Please leave out any sensitive information such as URLs, passwords, etc.
Saving Comment Saving Comment...
Rating
Rating
  • "The perfect solution for managing security. Very stable and easy to implement. Must-have add-on for every CE implementation!"

    Read More Reviews

Keep up to date on the latest additions

We'll send you an email every month with handpicked add-ons, reviews, tricks and tips. Don't worry, we hate spam as much as you do.